> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Merchant Transaction



## OpenAPI

````yaml openapi.json get /transaction/merchant
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /transaction/merchant:
    parameters: []
    get:
      tags:
        - Transactions
      summary: Merchant Transaction
      parameters:
        - name: size
          in: query
          required: false
          example: '100'
          schema:
            type: integer
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: status
          in: query
          required: false
          description: FAILED, PENDING, SUCCESS
          example: PENDING
          schema:
            type: string
        - name: category
          in: query
          required: false
          description: >-
            BANK_FUNDING, DEBIT_WALLET, BANK_TRANSFER, CREDIT_WALLET,
            MERCHANT_DEBIT, MERCHANT_CREDIT, WALLET_TO_WALLET
          example: BANK_TRANSFER
          schema:
            type: string
        - name: startDate
          in: query
          required: false
          example: '2024-09-10'
          schema:
            type: integer
        - name: endDate
          in: query
          required: false
          example: '2024-10-10'
          schema:
            type: integer
        - name: reference
          in: query
          required: false
          schema:
            type: string
        - name: type
          in: query
          required: false
          description: CREDIT, DEBIT
          example: CREDIT
          schema:
            type: string
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            ETag:
              schema:
                type: string
              example: W/"d62-G9ZZF722N4aAsaHE/Pyqc/IaIjY"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Content-Encoding:
              schema:
                type: string
              example: gzip
            Date:
              schema:
                type: string
              example: Wed, 14 Aug 2024 07:37:26 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          description: Merchant Transaction - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      size:
                        type: integer
                      page:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
                      totalDebitAmount:
                        type: integer
                      totalCreditAmount:
                        type: integer
                      totalTransactionValue:
                        type: integer
                      totalTransactionVolume:
                        type: integer
                      transactions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            type:
                              type: string
                            amount:
                              type: integer
                            status:
                              type: string
                            charges:
                              type: integer
                            category:
                              type: string
                            reference:
                              type: string
                            settledAmount:
                              type: integer
                            description:
                              type: string
                            sessionId:
                              type: string
                              format: utc-millisec
                            createdAt:
                              type: string
                              format: date-time
                            narration:
                              type: string
                            originatorBankCode:
                              type: string
                              format: color
                            originatorBankName:
                              type: string
                            beneficiaryBankCode:
                              type: string
                              format: color
                            beneficiaryBankName:
                              type: string
                            originatorAccountName:
                              type: string
                            beneficiaryAccountName:
                              type: string
                            originatorAccountNumber:
                              type: string
                              format: utc-millisec
                            beneficiaryAccountNumber:
                              type: string
                              format: utc-millisec
              example:
                status: true
                data:
                  size: 50
                  page: 1
                  totalRecords: 4
                  totalPages: 1
                  totalDebitAmount: 48150
                  totalCreditAmount: 69570
                  totalTransactionValue: 67525
                  totalTransactionVolume: 4
                  transactions:
                    - id: 0899fb49-2610-4ee1-86d3-819addf0f2c1
                      type: DEBIT
                      amount: 500
                      status: SUCCESS
                      charges: 10
                      category: BANK_TRANSFER
                      reference: newN5ICTlVmHEW5oTiKD6Qg0llUHC7l8Evsc
                      settledAmount: 510
                      description: ₦500.00 transferred to SIMI MICHELLE
                      sessionId: '999270240813140324800842528243'
                      createdAt: '2024-08-13T13:03:23.210Z'
                      narration: Free money testing 03
                      originatorBankCode: '999270'
                      originatorBankName: Xpress Wallet
                      beneficiaryBankCode: '000023'
                      beneficiaryBankName: PROVIDUS BANK
                      originatorAccountName: Dayosco
                      beneficiaryAccountName: SIMI MICHELLE
                      originatorAccountNumber: '4408702238'
                      beneficiaryAccountNumber: '2394934324'
                    - id: d23d46e6-c415-4658-b908-9e9f5a86c190
                      type: CREDIT
                      amount: 50000
                      status: SUCCESS
                      charges: 800
                      category: BANK_FUNDING
                      reference: e8YsqkIzonA6aW7eKwtIwugxbYiFJiLGUWQp
                      settledAmount: 49200
                      description: ₦50,000.00 received from Emmanuel
                      sessionId: '999270240813131100875965403787'
                      createdAt: '2024-08-13T12:11:01.554Z'
                      paidAt: '2024-08-13T12:11:00.151Z'
                      userId: e08f62e6-e52c-4eaa-85a7-ebe7153609b0
                      narration: Another merchant funding
                      walletType: STATIC
                      channelCode: '2'
                      originatorBankCode: '999270'
                      originatorBankName: JUJU Test Bank
                      beneficiaryBankCode: '999270'
                      beneficiaryBankName: XpressWallet
                      transactionReference: e8YsqkIzonA6aW7eKwtIwugxbYiFJiLGUWQp
                      originatorAccountName: Emmanuel
                      beneficiaryAccountName: Dayosco
                      originatorAccountNumber: '0167421242'
                      beneficiaryAccountNumber: '4408702238'
                      originatorBankVerificationNumber: ''
                      beneficiaryBankVerificationNumber: ''
                    - id: 38be06ce-7af0-484e-9bff-ce3a648d34b6
                      type: CREDIT
                      amount: 5000
                      status: SUCCESS
                      charges: 125
                      category: BANK_FUNDING
                      reference: WBEeixUSQ2FgefsAJkJSMSuUHMpza04SVTUJ
                      settledAmount: 4875
                      description: ₦5,000.00 received from Emmanuel
                      sessionId: '999270240813094643436467992938'
                      createdAt: '2024-08-13T08:46:45.044Z'
                      paidAt: '2024-08-13T08:46:43.834Z'
                      userId: e08f62e6-e52c-4eaa-85a7-ebe7153609b0
                      narration: Third testing
                      walletType: STATIC
                      channelCode: '2'
                      originatorBankCode: '999270'
                      originatorBankName: JUJU Test Bank
                      beneficiaryBankCode: '999270'
                      beneficiaryBankName: XpressWallet
                      transactionReference: WBEeixUSQ2FgefsAJkJSMSuUHMpza04SVTUJ
                      originatorAccountName: Emmanuel
                      beneficiaryAccountName: Dayosco
                      originatorAccountNumber: '0167421242'
                      beneficiaryAccountNumber: '4408702238'
                      originatorBankVerificationNumber: ''
                      beneficiaryBankVerificationNumber: ''
                    - id: bc9a7245-24e9-4c24-988b-10d31fa1b90a
                      type: CREDIT
                      amount: 12025
                      status: SUCCESS
                      charges: 0
                      category: SETTLEMENT
                      reference: S6J6ugDBSEKNqlGnDZUf41Z1K4QL5nnzNF6h
                      settledAmount: 12025
                      description: Transaction settlement
                      sessionId: null
                      createdAt: '2024-08-11T23:05:50.579Z'
                      narration: 2024-08-11 Settlement
                      isSettlement: true
                      settlementId: e5ec19bb-c044-4d4a-96ac-3e2c470d17b7
                      settlementDate: '2024-08-11'
                      originatorBankCode: '999270'
                      originatorBankName: Xpress Wallet
                      beneficiaryBankCode: '999270'
                      beneficiaryBankName: Xpress Wallet
                      isMerchantSettlement: true
                      originatorAccountName: Juju Platform
                      beneficiaryAccountName: Dayosco
                      originatorAccountNumber: '4408702238'
                      beneficiaryAccountNumber: '4408702238'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````